## WebKitDOMNavigator

WebKitDOMNavigator

## Functions

gboolean | webkit_dom_navigator_java_enabled ()
void | webkit_dom_navigator_get_storage_updates ()
WebKitDOMGamepadList * | webkit_dom_navigator_webkit_get_gamepads ()
void | webkit_dom_navigator_register_protocol_handler ()
gchar * | webkit_dom_navigator_is_protocol_handler_registered ()
void | webkit_dom_navigator_unregister_protocol_handler ()
gchar * | webkit_dom_navigator_get_app_code_name ()
gchar * | webkit_dom_navigator_get_app_name ()
gchar * | webkit_dom_navigator_get_app_version ()
gchar * | webkit_dom_navigator_get_language ()
gchar * | webkit_dom_navigator_get_user_agent ()
gchar * | webkit_dom_navigator_get_platform ()
WebKitDOMDOMPluginArray * | webkit_dom_navigator_get_plugins ()
WebKitDOMDOMMimeTypeArray * | webkit_dom_navigator_get_mime_types ()
gchar * | webkit_dom_navigator_get_product ()
gchar * | webkit_dom_navigator_get_product_sub ()
gchar * | webkit_dom_navigator_get_vendor ()
gchar * | webkit_dom_navigator_get_vendor_sub ()
gboolean | webkit_dom_navigator_get_cookie_enabled ()
gboolean | webkit_dom_navigator_get_on_line ()
WebKitDOMBatteryManager * | webkit_dom_navigator_get_webkit_battery ()
WebKitDOMGeolocation * | webkit_dom_navigator_get_geolocation ()
WebKitDOMStorageQuota * | webkit_dom_navigator_get_webkit_temporary_storage ()
WebKitDOMStorageQuota * | webkit_dom_navigator_get_webkit_persistent_storage ()

## Properties

gchar * | app-code-name | Read
gchar * | app-name | Read
gchar * | app-version | Read
gboolean | cookie-enabled | Read
WebKitDOMGeolocation * | geolocation | Read
gchar * | language | Read
WebKitDOMDOMMimeTypeArray * | mime-types | Read
gboolean | on-line | Read
gchar * | platform | Read
WebKitDOMDOMPluginArray * | plugins | Read
gchar * | product | Read
gchar * | product-sub | Read
gchar * | user-agent | Read
gchar * | vendor | Read
gchar * | vendor-sub | Read
WebKitDOMBatteryManager * | webkit-battery | Read
WebKitDOMStorageQuota * | webkit-persistent-storage | Read
WebKitDOMStorageQuota * | webkit-temporary-storage | Read

## Types and Values

| WebKitDOMNavigator

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNavigator

## Description

## Functions

### webkit_dom_navigator_java_enabled ()

    gboolean
    webkit_dom_navigator_java_enabled (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gboolean

### webkit_dom_navigator_get_storage_updates ()

    void
    webkit_dom_navigator_get_storage_updates
                                   (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

### webkit_dom_navigator_webkit_get_gamepads ()

    WebKitDOMGamepadList *
    webkit_dom_navigator_webkit_get_gamepads
                                   (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A WebKitDOMGamepadList.

[transfer full]

### webkit_dom_navigator_register_protocol_handler ()

    void
    webkit_dom_navigator_register_protocol_handler
                                   (WebKitDOMNavigator *self,
                                    const gchar *scheme,
                                    const gchar *url,
                                    const gchar *title,
                                    GError **error);

#### Parameters

self | A WebKitDOMNavigator |
scheme | A gchar |
url | A gchar |
title | A gchar |
error | GError |

### webkit_dom_navigator_is_protocol_handler_registered ()

    gchar *
    webkit_dom_navigator_is_protocol_handler_registered
                                   (WebKitDOMNavigator *self,
                                    const gchar *scheme,
                                    const gchar *url,
                                    GError **error);

#### Parameters

self | A WebKitDOMNavigator |
scheme | A gchar |
url | A gchar |
error | GError |

#### Returns

A gchar

### webkit_dom_navigator_unregister_protocol_handler ()

    void
    webkit_dom_navigator_unregister_protocol_handler
                                   (WebKitDOMNavigator *self,
                                    const gchar *scheme,
                                    const gchar *url,
                                    GError **error);

#### Parameters

self | A WebKitDOMNavigator |
scheme | A gchar |
url | A gchar |
error | GError |

### webkit_dom_navigator_get_app_code_name ()

    gchar *
    webkit_dom_navigator_get_app_code_name
                                   (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_app_name ()

    gchar *
    webkit_dom_navigator_get_app_name (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_app_version ()

    gchar *
    webkit_dom_navigator_get_app_version (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_language ()

    gchar *
    webkit_dom_navigator_get_language (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_user_agent ()

    gchar *
    webkit_dom_navigator_get_user_agent (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_platform ()

    gchar *
    webkit_dom_navigator_get_platform (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_plugins ()

    WebKitDOMDOMPluginArray *
    webkit_dom_navigator_get_plugins (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A WebKitDOMDOMPluginArray.

[transfer full]

### webkit_dom_navigator_get_mime_types ()

    WebKitDOMDOMMimeTypeArray *
    webkit_dom_navigator_get_mime_types (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A WebKitDOMDOMMimeTypeArray.

[transfer full]

### webkit_dom_navigator_get_product ()

    gchar *
    webkit_dom_navigator_get_product (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_product_sub ()

    gchar *
    webkit_dom_navigator_get_product_sub (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_vendor ()

    gchar *
    webkit_dom_navigator_get_vendor (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_vendor_sub ()

    gchar *
    webkit_dom_navigator_get_vendor_sub (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gchar

### webkit_dom_navigator_get_cookie_enabled ()

    gboolean
    webkit_dom_navigator_get_cookie_enabled
                                   (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gboolean

### webkit_dom_navigator_get_on_line ()

    gboolean
    webkit_dom_navigator_get_on_line (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A gboolean

### webkit_dom_navigator_get_webkit_battery ()

    WebKitDOMBatteryManager *
    webkit_dom_navigator_get_webkit_battery
                                   (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A WebKitDOMBatteryManager.

[transfer full]

### webkit_dom_navigator_get_geolocation ()

    WebKitDOMGeolocation *
    webkit_dom_navigator_get_geolocation (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A WebKitDOMGeolocation.

[transfer full]

### webkit_dom_navigator_get_webkit_temporary_storage ()

    WebKitDOMStorageQuota *
    webkit_dom_navigator_get_webkit_temporary_storage
                                   (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A WebKitDOMStorageQuota.

[transfer none]

### webkit_dom_navigator_get_webkit_persistent_storage ()

    WebKitDOMStorageQuota *
    webkit_dom_navigator_get_webkit_persistent_storage
                                   (WebKitDOMNavigator *self);

#### Parameters

self | A WebKitDOMNavigator |

#### Returns

A WebKitDOMStorageQuota.

[transfer none]

## Types and Values

### WebKitDOMNavigator

    typedef struct _WebKitDOMNavigator WebKitDOMNavigator;

## Property Details

### The `“app-code-name”` property

      “app-code-name”            gchar *

read-only gchar* Navigator:app-code-name.

Flags: Read

Default value: ""

### The `“app-name”` property

      “app-name”                 gchar *

read-only gchar* Navigator:app-name.

Flags: Read

Default value: ""

### The `“app-version”` property

      “app-version”              gchar *

read-only gchar* Navigator:app-version.

Flags: Read

Default value: ""

### The `“cookie-enabled”` property

      “cookie-enabled”           gboolean

read-only gboolean Navigator:cookie-enabled.

Flags: Read

Default value: FALSE

### The `“geolocation”` property

      “geolocation”              WebKitDOMGeolocation *

read-only WebKitDOMGeolocation* Navigator:geolocation.

Flags: Read

### The `“language”` property

      “language”                 gchar *

read-only gchar* Navigator:language.

Flags: Read

Default value: ""

### The `“mime-types”` property

      “mime-types”               WebKitDOMDOMMimeTypeArray *

read-only WebKitDOMDOMMimeTypeArray* Navigator:mime-types.

Flags: Read

### The `“on-line”` property

      “on-line”                  gboolean

read-only gboolean Navigator:on-line.

Flags: Read

Default value: FALSE

### The `“platform”` property

      “platform”                 gchar *

read-only gchar* Navigator:platform.

Flags: Read

Default value: ""

### The `“plugins”` property

      “plugins”                  WebKitDOMDOMPluginArray *

read-only WebKitDOMDOMPluginArray* Navigator:plugins.

Flags: Read

### The `“product”` property

      “product”                  gchar *

read-only gchar* Navigator:product.

Flags: Read

Default value: ""

### The `“product-sub”` property

      “product-sub”              gchar *

read-only gchar* Navigator:product-sub.

Flags: Read

Default value: ""

### The `“user-agent”` property

      “user-agent”               gchar *

read-only gchar* Navigator:user-agent.

Flags: Read

Default value: ""

### The `“vendor”` property

      “vendor”                   gchar *

read-only gchar* Navigator:vendor.

Flags: Read

Default value: ""

### The `“vendor-sub”` property

      “vendor-sub”               gchar *

read-only gchar* Navigator:vendor-sub.

Flags: Read

Default value: ""

### The `“webkit-battery”` property

      “webkit-battery”           WebKitDOMBatteryManager *

read-only WebKitDOMBatteryManager* Navigator:webkit-battery.

Flags: Read

### The `“webkit-persistent-storage”` property

      “webkit-persistent-storage” WebKitDOMStorageQuota *

read-only WebKitDOMStorageQuota* Navigator:webkit-persistent-storage.

Flags: Read

### The `“webkit-temporary-storage”` property

      “webkit-temporary-storage” WebKitDOMStorageQuota *

read-only WebKitDOMStorageQuota* Navigator:webkit-temporary-storage.

Flags: Read